Package org.eclipse.jface.text

# Interface IRegion

All Known Subinterfaces:
  `ITypedRegion`

All Known Implementing Classes:
  `DirtyRegion`, `Region`, `TypedRegion`

public interface IRegion
A region describes a certain range in an indexed text store. Text stores are for example documents or strings. A region is defined by its offset into the text store and its length.

A region is considered a value object. Its offset and length do not change over time.

Clients may implement this interface or use the standard implementation `Region`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
Returns the length of the region.
`int`
`getOffset()`
Returns the offset of the region.

## Method Details

### getLength

int getLength()
Returns the length of the region.

Returns:
  the length of the region

### getOffset

int getOffset()
Returns the offset of the region.

Returns:
  the offset of the region